Subject: Re: [PATCH net-next] selftests: drv-net: Enable ntuple-filters if supported

From: Joe Damato <[email-masked]>
Date: Thu, 30 Apr 2026 12:36:51 -0700

On Thu, Apr 30, 2026 at 09:52:17AM -0700, Dimitri Daskalakis wrote:
> From: Dimitri Daskalakis <[email-masked]>
> 
> Certain devices which support ntuple-filters do not enable the feature
> by default. The existing tests will skip (if they check for the feature),
> or fail if they blindly attempt to install rules. Therefore, attempt to turn
> on ntuple-filters if the device supports them.
> 
> Signed-off-by: Dimitri Daskalakis <[email-masked]>
> Signed-off-by: Jakub Kicinski <[email-masked]>
> ---
>  tools/testing/selftests/drivers/net/gro.py         | 10 ++++++++++
>  tools/testing/selftests/drivers/net/hw/gro_hw.py   | 10 ++++++++++
>  tools/testing/selftests/drivers/net/hw/iou-zcrx.py | 12 ++++++++++++
>  tools/testing/selftests/drivers/net/hw/ntuple.py   |  5 ++++-
>  tools/testing/selftests/drivers/net/hw/rss_ctx.py  |  7 ++++---
>  5 files changed, 40 insertions(+), 4 deletions(-)

I suppose a future cleanup might be able to add a generic helper for this for
all of the ethtool settings (tx-udp-segmentation, ntuple, etc) to
EthtoolFamily or something?

That said:

Reviewed-by: Joe Damato <[email-masked]>